Package net.paulhertz.pixelaudio.example

# Class TutorialOne_03_Drawing.AudioBrushLite

java.lang.Object
net.paulhertz.pixelaudio.example.TutorialOne_03_Drawing.AudioBrushLite

Enclosing class:
  TutorialOne_03_Drawing

public static final class TutorialOne_03_Drawing.AudioBrushLite extends Object
A light-weight version of the `AudioBrush` class for combining gestures and audio synthesis. AudioBrushLite combines PACurveMaker gesture and curve modeling with basic audio synthesis parameters. AudioBrush, introduced in TutorialOne_05_GesturePlayground, exposes most of the parameters used for granular synthesis in PixelAudio, along with many of the brush and gesture settings available in PACurveMaker.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final TutorialOne_03_Drawing.BrushConfig`
  `cfg`
  Configuration variables for drawing
  `private final PACurveMaker`
  `curve`
  PACurveMaker instance stores point and time data, provides drawing and scheduling methods
  `private TutorialOne_03_Drawing.HopMode`
  `hopMode`
  For granular instrument, timing model
  `private TutorialOne_03_Drawing.BrushOutput`
  `output`
  Audio output variable
  `private float`
  `pitchRatio`
  Pitch scaling

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AudioBrushLite(PACurveMaker curve, TutorialOne_03_Drawing.BrushConfig cfg, TutorialOne_03_Drawing.BrushOutput output, TutorialOne_03_Drawing.HopMode hopMode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TutorialOne_03_Drawing.BrushConfig`
  `cfg()`
  `PACurveMaker`
  `curve()`
  `TutorialOne_03_Drawing.HopMode`
  `hopMode()`
  `TutorialOne_03_Drawing.BrushOutput`
  `output()`
  `float`
  `pitchRatio()`
  `void`
  `setHopMode(TutorialOne_03_Drawing.HopMode hop)`
  `void`
  `setOutput(TutorialOne_03_Drawing.BrushOutput out)`
  `void`
  `setPitchRatio(float newRatio)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### curve

    private final PACurveMaker curve
    PACurveMaker instance stores point and time data, provides drawing and scheduling methods

  - ### cfg

    private final TutorialOne_03_Drawing.BrushConfig cfg
    Configuration variables for drawing

  - ### output

    private TutorialOne_03_Drawing.BrushOutput output
    Audio output variable

  - ### hopMode

    private TutorialOne_03_Drawing.HopMode hopMode
    For granular instrument, timing model

  - ### pitchRatio

    private float pitchRatio
    Pitch scaling

- ## Constructor Details

  - ### AudioBrushLite

    public AudioBrushLite(PACurveMaker curve, TutorialOne_03_Drawing.BrushConfig cfg, TutorialOne_03_Drawing.BrushOutput output, TutorialOne_03_Drawing.HopMode hopMode)

- ## Method Details

  - ### curve

    public PACurveMaker curve()

  - ### cfg

    public TutorialOne_03_Drawing.BrushConfig cfg()

  - ### output

    public TutorialOne_03_Drawing.BrushOutput output()

  - ### setOutput

    public void setOutput(TutorialOne_03_Drawing.BrushOutput out)

  - ### pitchRatio

    public float pitchRatio()

  - ### setPitchRatio

    public void setPitchRatio(float newRatio)

  - ### hopMode

    public TutorialOne_03_Drawing.HopMode hopMode()

  - ### setHopMode

    public void setHopMode(TutorialOne_03_Drawing.HopMode hop)